CREATE or ALTER PROCEDURE[sp_configuracionVariables]	
	@p_idEquipo int
	,@p_eid varchar(100)=''
as
begin

	select ATR.id
		,ATR.atributo as variable
		,UNI.unidad as unidad
		,5 as periodoActualizacion --TODO: pendiente columna para configuración, puede estar asociada al equipo
		,CONF.valorminimo as [min]
		,CONF.valorminimo as [max]
	from cat_atributo ATR
		inner join gen_unidad UNI on UNI.id=ATR.id_unidad
		inner join [cat_catalogo.equipo_atributo] CONF on CONF.id_atributo=ATR.id
		inner join [cat_catalogo.equipo] CAT on CAT.id=CONF.[id_catalogo.equipo]
		inner join equ_equipo EQU on EQU.[id_catalogo.equipo]=CAT.id
	where EQU.id=@p_idEquipo
		and ATR.active=1
		and CONF.active=1
FOR JSON PATH
		
end 
go

